# phpDox - Query\QueryBuilderInterface::countAllResults

# Query\QueryBuilderInterface::countAllResults

#### Retrieve the number of results for the generated query - used in place of the get() method

## Signature

`public function countAllResults([string $table = '', [boolean $reset = TRUE]] )`

## Parameters

`$table` — string
`$reset` — boolean
  - Whether to keep the query after counting the results

## Returns

int

## Violations

### PHPMessDetector

Line | Rule | Message
--- | --- | ---
402 | BooleanArgumentFlag | The method countAllResults has a boolean flag argument $reset, which is a certain sign of a Single Responsibility Principle violation.